summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorAllen Byrne <byrn@hdfgroup.org>2013-10-10 15:59:37 (GMT)
committerAllen Byrne <byrn@hdfgroup.org>2013-10-10 15:59:37 (GMT)
commit17296948e5b1e41cd23dcc4f2e3683d6cea81561 (patch)
tree1899437861b56a193db6486df0f00d39d4c7d2c7 /bin
parent08cf10f2013b965640eaea9b9d143d4ec85f3494 (diff)
downloadhdf5-17296948e5b1e41cd23dcc4f2e3683d6cea81561.zip
hdf5-17296948e5b1e41cd23dcc4f2e3683d6cea81561.tar.gz
hdf5-17296948e5b1e41cd23dcc4f2e3683d6cea81561.tar.bz2
[svn-r24282] Add log file aliases and install step
Diffstat (limited to 'bin')
-rwxr-xr-xbin/cmakehdf530
1 files changed, 28 insertions, 2 deletions
diff --git a/bin/cmakehdf5 b/bin/cmakehdf5
index 874df5d..97f45ed 100755
--- a/bin/cmakehdf5
+++ b/bin/cmakehdf5
@@ -14,6 +14,8 @@ DPRINT=:
progname=`basename $0` # program name
cminfile="cmakemin.$$" # Cmake minimum file
cfgfile=$progname.$$ # configure file
+ctest_log=ctest.log # output of ctest script
+install_log=install.log # output of installation
$DPRINT $cfgfile
# Remove temporary generated files if exit 0
@@ -36,7 +38,8 @@ TIMESTAMP
# Explain what and where log files are.
cat <<EOF
-ctest.log: output of ctest script.
+$ctest_log: output of ctest script.
+$install_log: output of installation
Log files will be stored in Testing/Temporary:
LastConfigure_<timestamp>.log: output of configure
LastBuild_<timestamp>.log: output of build
@@ -219,13 +222,36 @@ if (NOT LOCAL_SKIP_TEST)
endif()
message ("test DONE")
endif (NOT LOCAL_SKIP_TEST)
+if(NOT LOCAL_MEMCHECK_TEST)
+ ##-----------------------------------------------
+ ## Package the product
+ ##-----------------------------------------------
+ execute_process(COMMAND cpack -C ${CTEST_BUILD_CONFIGURATION} -V
+ WORKING_DIRECTORY ${CTEST_BINARY_DIRECTORY}
+ RESULT_VARIABLE cpackResult
+ OUTPUT_VARIABLE cpackLog
+ ERROR_VARIABLE cpackLog.err
+ )
+ file(WRITE ${CTEST_BINARY_DIRECTORY}/cpack.log "${cpackLog.err}" "${cpackLog}")
+endif(NOT LOCAL_MEMCHECK_TEST)
+#-----------------------------------------------------------------------------
message ("DONE")
EOF
# Run ctest
-ctest -S $cfgfile -C Release -V -O ctest.log
+ctest -S $cfgfile -C Release -V -O $ctest_log
+exit_code=$?
+if [ $exit_code = 0 ]; then
+ echo CTest script completed without error
+else
+ echo Error encountered CTest script
+fi
+# Using HDF5-*.sh because actual name is unavailable
+install_sh=HDF5-*.sh
+echo installing with $install_sh ...
+./$install_sh --skip-license > $install_log
exit_code=$?
if [ $exit_code = 0 ]; then
echo Complete without error